| Classes - Annotated - Tree - Functions - Home - Structure

# QMoveEvent Class Reference

The QMoveEvent class contains event parameters for move events. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QMoveEvent ( const QPoint & pos, const QPoint & oldPos )
- const QPoint& pos () const
- const QPoint& oldPos () const

## Detailed Description

The QMoveEvent class contains event parameters for move events.

Move events are sent to widgets that have been moved to a new position relative to their parent.

The event handler QWidget::moveEvent() receives move events.

See also QWidget::move() and QWidget::setGeometry().

## Member Function Documentation

### QMoveEvent::QMoveEvent ( const QPoint & pos, const QPoint & oldPos )

Constructs a move event with the new and old widget positions.

### const QPoint & QMoveEvent::oldPos () const

Returns the old position of the widget.

### const QPoint & QMoveEvent::pos () const

Returns the new position of the widget, which is the same as QWidget::pos().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.